#!/bin/sh

#
# Dumps the bytes representing the four primary partitions in an IBM master
# boot record
#
# Colin McCabe
#
usage() {
	echo "usage: ${0} <IBM-master-boot-record>"
	echo "should be 512 bytes in length."
	exit 1
}

if [ $# -ne 1 ]; then
	usage
fi

if [ -e ${1} ]; then
	PART_FILE=${1}
else
	usage
fi

echo "# first partition"
od -j 446 -N 16 -t x1 ${1}
echo "# second partition"
od -j 462 -N 16 -t x1 ${1}
echo "# third partition"
od -j 478 -N 16 -t x1 ${1}
echo "# fourth partition"
od -j 494 -N 16 -t x1 ${1}
